Bug 76614 - insmod don't load fresh compiled kernel module, compaining gcc version
insmod don't load fresh compiled kernel module, compaining gcc version
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gcc3 (Show other bugs)
8.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-24 02:27 EDT by Rolf Hatt
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 20:54:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rolf Hatt 2002-10-24 02:27:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020823
Netscape/7.0

Description of problem:
compilation of Cisco VPN module (vpn-5000-linux-5.2.7-3des-k9) works without any
warning/erros. Loading the module brings:
# /etc/init.d/vpn start
Starting VPN services: modules/lib/modules/2.4.18-17.8.0/COMPvpn/vpnmod: The
module you are trying to
load (/lib/modules/2.4.18-17.8.0/COMPvpn/vpnmod) is compiled with a gcc
version 2 compiler, while the kernel you are running is compiled with
a gcc version 3 compiler. This is known to not work.
 Failed (insmod)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.compile module
2./etc/init.d/vpn start
	

Actual Results:  module won't load 

Expected Results:  module should load 

Additional info: same problme with nvidia driver
Comment 1 Alan Cox 2002-12-15 20:54:04 EST
Cisco include gcc2 built object modules. You will have to ask cisco for updated
binary only pieces. We can't help

Note You need to log in before you can comment on or make changes to this bug.